mqc_inl.h File Reference

Go to the source code of this file.

## Macros

#define | BYPASS_CT_INIT 0xDEADBEEF
#define | PUSH_MQC()
#define | POP_MQC()
#define | mqc_setcurctx(mqc, ctxno) (mqc)->curctx = (mqc)->ctxs + (uint32_t)(ctxno)

## Macro Definition Documentation

## BYPASS_CT_INIT

#define BYPASS_CT_INIT 0xDEADBEEF

## mqc_setcurctx

#define mqc_setcurctx | ( |  | mqc,
|  |  | ctxno
| ) |  | (mqc)->curctx = (mqc)->ctxs + (uint32_t)(ctxno)

## POP_MQC

#define POP_MQC | ( |  | ) |

Value:
mqc->curctx = curctx; \
mqc->c = c; \
mqc->a = a; \
mqc->ct = ct;

## PUSH_MQC

#define PUSH_MQC | ( |  | ) |

Value:
const mqc_state** curctx = mqc->curctx; \
uint32_t c = mqc->c; \
uint32_t a = mqc->a; \
uint32_t ct = mqc->ct